name: Prometheus Sample
services:
  comment-xd:
    name: comment-xd
    type: Comment
    apiVersion: core.meshery.io/v1alpha1
    version: v1.0.0
    model: meshery
    settings:
      usersMessages:
      - avatarUrl: https://pbs.twimg.com/profile_images/880205475643441152/V_vhfnzb_400x400.jpg
        firstName: Lee
        lastName: Calcote
        message: don't seem to go where they are told.
        timestamp: "2023-09-04T19:52:08.198Z"
        userid: 090e7114-509a-4046-81f1-9c5fb8daf724
    traits:
      meshmap:
        edges: []
        id: 2480d2e7-23da-43cc-af7f-9c1d937d5bcf
        label: comment-xd
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          displayName: Meshery
          displayhostname: ""
          hostID: 00000000-0000-0000-0000-000000000000
          hostname: ""
          metadata:
            svgColor: ui/public/static/img/meshmodels/meshery/color/broker-color.svg
            svgWhite: ui/public/static/img/meshmodels/aws-node-termination-handler-2/white/terminator-white.svg
          name: meshery
          version: v1.0.0
        meshmodel-metadata:
          genealogy: ""
          isAnnotation: true
          isNamespaced: false
          logoURL: ""
          model: meshery
          modelDisplayName: Meshery
          primaryColor: '#FFDE00'
          published: true
          secondaryColor: '#FFDE00'
          shape: tag
          styleOverrides: '{"height":"22px","width":"22px","x":"3.5px","y":"3.5px"}'
          subCategory: App Definition and Development
          svgColor: ui/public/static/img/meshmodels/meshery/color/comment-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/meshery/color/comment-color.svg
        position:
          posX: 650
          posY: 670
        whiteboardData: {}
  prometheus-tk:
    name: prometheus-tk
    type: Prometheus
    apiVersion: monitoring.coreos.com/v1
    namespace: default
    version: 45.7.1
    model: kube-prometheus-stack
    labels:
      app: Prometheus
    settings:
      spec:
        additional Args:
        - name: kind
          value: Prometheus
        affinity:
          node Affinity:
            preferred During Scheduling Ignored During Execution: []
            required During Scheduling Ignored During Execution:
              node Selector Terms: []
          pod Affinity:
            preferred During Scheduling Ignored During Execution: []
            required During Scheduling Ignored During Execution: []
          pod Anti Affinity:
            preferred During Scheduling Ignored During Execution: []
            required During Scheduling Ignored During Execution: []
        alerting:
          alertmanagers: []
        base Image: quay.io/prometheus/prometheus:v2.22.1
        config Maps: []
        containers: []
        enable Features: []
        enforced Sample Limit: 0
        evaluation Interval: 30s
        excluded From Enforcement: []
        host Aliases: []
        image Pull Secrets: []
        init Containers: []
        node Selector:
          kubernetes.io/os: linux
          newKey: New Value
        pod Monitor Namespace Selector:
          match Expressions: []
        pod Monitor Selector:
          match Expressions: []
        pod Target Labels: []
        port Name: web
        probe Namespace Selector:
          match Expressions: []
        probe Selector:
          match Expressions: []
        prometheus Rules Excluded From Enforce: []
        remote Read: []
        remote Write: []
        replicas: 2
        resources:
          claims: []
        rule Namespace Selector:
          match Expressions: []
        rule Selector:
          match Expressions: []
        scrape Config Namespace Selector:
          match Expressions: []
        scrape Config Selector:
          match Expressions: []
        scrape Interval: 30s
        secrets: []
        security Context:
          supplemental Groups: []
          sysctls: []
        service Monitor Namespace Selector:
          match Expressions: []
        service Monitor Selector:
          match Expressions: []
        storage:
          ephemeral:
            volume Claim Template:
              spec:
                access Modes: []
                resources:
                  claims: []
                selector:
                  match Expressions: []
          volume Claim Template:
            spec:
              access Modes: []
              resources:
                claims: []
              selector:
                match Expressions: []
            status:
              access Modes: []
              conditions: []
        thanos:
          additional Args: []
          block Size: 2h
          resources:
            claims: []
          volume Mounts: []
        tolerations: []
        topology Spread Constraints: []
        volume Mounts: []
        volumes: []
        web:
          tls Config:
            cert: {}
            cipher Suites: []
            curve Preferences: []
            key Secret: {}
    traits:
      meshmap:
        edges: []
        id: aacce67c-15ff-4df0-bc24-0c03512fa995
        label: prometheus-tk
        meshmodel-data:
          category:
            metadata: null
            name: Observability and Analysis
          displayName: Kube Prometheus Stack
          displayhostname: ""
          hostID: 00000000-0000-0000-0000-000000000000
          hostname: ""
          metadata:
            source_uri: https://github.com/prometheus-community/helm-charts/releases/download/kube-prometheus-stack-48.3.1/kube-prometheus-stack-48.3.1.tgz
            svgColor: ui/public/static/img/meshmodels/kube-prometheus-stack/color/alertmanager-color.svg
            svgWhite: ui/public/static/img/meshmodels/kube-prometheus-stack/white/alertmanager-white.svg
          name: kube-prometheus-stack
          version: 45.7.1
        meshmodel-metadata:
          genealogy: ""
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/examples/graduated.md#prometheus-logos
          model: kube-prometheus-stack
          modelDisplayName: Kube Prometheus Stack
          primaryColor: '#e75225'
          published: true
          secondaryColor: '#ec7551'
          shape: circle
          styleOverrides:
            z-index: 3
          subCategory: Monitoring
          svgColor: ui/public/static/img/meshmodels/kube-prometheus-stack/color/alertmanager-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kube-prometheus-stack/white/alertmanager-white.svg
        position:
          posX: 730
          posY: 670
        whiteboardData: {}
